<?php
$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');

// Add scripts for Groups, Users and Logs management
$this->headScript()->appendFile('/js/adminTab.js');
$this->headScript()->appendFile ('/js/pluginsTab.js');

$this->headScript()->appendScript($this->variables);

// Add CSS for Administration
$this->headLink ()->appendStylesheet ('/css/admin.css');
$this->headLink ()->appendStylesheet ('/css/plugins.css');

echo '<h1>'.$translator->translate ('Administration').'</h1>';
echo '<hr>';
echo $this->navbar;
echo '<hr>';

if ($this->permissions && 
    $this->permissions->isAllowed ('Administration', 'view', 'plugins'))
{
    echo "<div id=\"plugins\">\n";
    echo '<h2>'.$translator->translate ('Plugins').'</h2>';

    echo "<div id=\"boxL\">";
    echo $translator->translate ('Media:');
    echo "  <div id=\"tree_plugins\">\n";
    echo "    <ol id=\"pluginsList\">\n";
    echo "    </ol>\n";
    echo "  </div>\n";
    echo "</div>\n";

    echo "<div id=\"boxR\">";
    echo $translator->translate ('Commands:');
    echo "  <div id=\"tree_cmds\">\n";
    echo "    <ol id=\"cmdsList\">\n";
    echo "    </ol>\n";
    echo "  </div>\n";
    echo "</div>\n";

    echo "</div>\n";
}
